# FAQ-div commercial license agreement

This Software License Agreement (the "Agreement") is between Almar Klein Scientific Computing (AK) and You (either in your capacity as an individual or as a business).
If you have not purchased a FAQ-div commercial license from faq-div.com, these terms do not apply to you, and your use of the Software is instead governed by the [GNU General Public License, version 3](https://www.gnu.org/licenses/gpl-3.0.html).


## License types

### Hobby License

The FAQ-div Hobby License allows You (one developer) to include the Software in one (1) Application beveloped by You. At no time may the Software be used for development purposes by other individuals than You.

### Pro License

The FAQ-div Pro License allows You to include the Software in any number of Application beveloped by You, your contractors or employees, up until a maximum of five (5) developers.

### Business License

The FAQ-div Business License allows You to include the Software in any number of Application beveloped by You, your contractors or employees, without limits on the number of developers.


## Definitions

* *Application* means any deployment of software usable by anyone other than the developer,
including (but not limited to) websites, deskop applications and mobile applications.
* *End User* means an end user of Your Application who acquires a license to such solely for their own use and not for distribution, resale, user interface design, or software development purposes.
* *Website* means a single domain name.
* *Licensed Developer* means an individual person permitted to use the Software and make Modifications for your Applications, whether such person is Your employee or a consultant or contractor providing services to You.
* *Modification* means any revision, adaptation, or derivative of the Software produced by You.
* The *Software* means the FAQ-div JavaScript library.


## License grant

Subject to the terms of this Agreement, AK grants to You a revocable, non-exclusive, non-transferable license: (i) for use of the Software by the number of developers and for the number of Applications as dictated by your purchased license (see section License Types); (ii) for You to distribute the Software and/or Modifications to an unlimited number of End Users solely as integrated into the Applications; and (iii) for End Users to use the Software as incorporated into Your Applications in accordance with the terms of this Agreement.

You are entitled to receive all updates to the Software licensed by you, as well as any later version of the Software that AK, in writing, explicitly authorizes you to use. AK makes no representation that any update will be compatible with your Application.


## Ownership

This is a license agreement and not an agreement for sale. AK reserves ownership of all intellectual property rights inherent in or relating to the Software and corresponding source code, which include all copyright, patent rights, all rights in relation to registered and unregistered trademarks (including service marks), confidential information (including trade secrets and know-how) and all rights other than those expressly granted by this Agreement.

You must not remove, obscure or interfere with any copyright, acknowledgment, attribution, trademark, warning or disclaimer statement affixed to, incorporated in or otherwise applied in connection with the Software.


## Prohibited uses

You may not distribute the Software (original nor modified) except as included within Your Application.

If You produce an Application for a customer, You are responsible for ensuring that your customer does not make use of the Software except with Applications licensed herein.

Your Application must not enable End Users to produce separate applications that incorporate the Software. For example, if Your Application is a development toolkit or library, an application builder, a website builder that can be used to incorporate the Software into a new Application, You must obtain a separate OEM license from AK.


## Termination

This Agreement and the license granted hereunder shall continue until terminated in accordance with this Section. Unless otherwise specified in this Agreement, the license shall last as long as Your use of the Software is in compliance with the terms herein.

AK has the right to terminate this Agreement and the license granted hereunder immediately if You breach any of the material terms of this Agreement, and You fail to cure such material breach within thirty (30) days of receipt of notice. Upon termination of this Agreement, all licenses granted to You in this Agreement shall terminate automatically and You shall immediately cease use and distribution of the Software.

Upon termination of this Agreement, You must cease all use of the Software. If, prior to your breach of this Agreement, you delivered Applications incorporating the Software to Your End Users, those End Users’ licenses shall survive termination.


## Disclaimer of Warranties

TO THE EXTENT PERMITTED BY LAW, AK DISCLAIMS ALL WARRANTIES AND CONDITIONS, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT, WITH REGARD TO THE SOFTWARE. WE DO NOT GUARANTEE THAT THE OPERATION OF THE SOFTWARE OR YOUR APPLICATION WILL BE UNINTERRUPTED OR ERROR-FREE, AND YOU ACKNOWLEDGE THAT IT IS NOT TECHNICALLY PRACTICABLE FOR US TO DO SO.


## Limitation of Liabilities

TO THE EXTENT PERMITTED BY LAW, IN NO EVENT SHALL AK BE LIABLE UNDER ANY LEGAL OR EQUITABLE THEORY FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LAW) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE OR THE CODE IT PRODUCES OR ANY OTHER SUBJECT MATTER RELATING TO THIS AGREEMENT, EVEN IF AK HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN ANY CASE, AK's ENTIRE LIABILITY ENTIRE LIABILITY WITH RESPECT TO ANY SUBJECT MATTER RELATING TO THIS AGREEMENT SHALL BE LIMITED TO THE LICENSE FEE PAID BY YOU.


## Indemnification

While redistributing the Software or Modifications thereof as part of Your Application, You may choose to offer acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this Agreement. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, and not on AK’s behalf.

You agree to indemnify, hold harmless, and defend AK and its owners, officers, agents, and affiliates from and against any and all claims, lawsuits and proceedings (collectively “Claims”), and all expenses, costs (including attorney's fees), judgments, damages and other liabilities resulting from such Claims, that arise or result from: (i) Your use of the Software in violation of this Agreement; (ii) the use or distribution of Your Application, except to the extent such claim is based solely on the inclusion of the Software therein; (iii) Your Modification of the Software’s source code; or (iv) Your accepting support, warranty, indemnity, or additional liability as described in Section 8.1.


## Payment and Taxes

Each party shall be responsible for all taxes (including, but not limited to, taxes based upon its income) or levies imposed on it under applicable laws, regulations and tax treaties as a result of this Agreement and any payments made hereunder (including those required to be withheld or deducted from payments); provided that You shall be responsible for any value added tax, use tax, sales tax, or similar tax, and shall pay or reimburse AK for the same upon invoice. Each party shall furnish evidence of such paid taxes as is sufficient to enable the other party to obtain any credits available to it, including original tax withholding certificates.


## Refunds

No refunds are offered.


## Maintenance and Support

During the term of this agreement, You have access to the Software's online support services via email. You will get answers to technical questions within five (5) business days. If You have purchased a Priority Support license, submitted support issues will receive higher priority and will be answered within two (2) business days. Yearly support time is limited to four (4) hours per Licensed Developer, and forty (40) hours per license.

Support shall refer only to Software's source code, integration questions related to the Software's API and documentation clarification. Support doesn't include customization, installation, and questions related to other programming languages, libraries or frameworks.

Under no circumstances is AK required to fix Software's bugs, to perform custom development, or to write code for You.


## Software Updates

The license granted herein applies only to the version of the Software available when purchased in connection with the terms of this Agreement, and to any updates and/or upgrades to which You may be entitled. Any previous or subsequent license granted to You for use of the Software shall be governed by the terms and conditions of the agreement entered in connection with purchase or download of that version of the Software.


## Marketing

You agree to AK’s use of Your name, trade name, and trademark, for use in AK’s marketing materials and its website, solely to identify you as a customer of AK.

## Assignment

This Agreement may be assigned by AK in whole or in part and will inure to the benefit of AK's successors and assigns. You may not assign or transfer this Agreement without AK's prior written consent. Notwithstanding the foregoing, however, if You transfer ownership of an Application to a customer for which it was developed, You may assign this Agreement to that customer (the “Assignee”) provided: (i) You provide written notice to AK prior to the effective date of such assignment; and (ii) there is a written agreement, wherein the Assignee accepts the terms of this Agreement.


## Entire Agreement

The terms and conditions stated herein set forth the entire agreement of the parties and replace and supersede all other contracts, agreements, and understandings, written or oral, relating to the subject matter hereof.

## Modification; Waiver

This Agreement can't be amended except by a written instrument executed by each of the parties. The failure of either party to enforce any provision of this Agreement may not be deemed a waiver of that or any other provision of this Agreement.

## Compliance with Applicable Laws

You agree that You will comply with all applicable laws and regulations with respect to the Software, including without limitation all export control laws and regulations.


## Governing Law

These terms and conditions are governed by and construed in accordance with the laws of The Netherlands and you irrevocably submit to the exclusive jurisdiction of the courts in that country.

## Severability

In the event that any portion of this Agreement is held to be unenforceable, such portions shall not limit or otherwise modify or affect any other portion of this Agreement.
