# The multiple purposes of a FAQ

<!-- DATE: 2020-09-20 -->

This post is part of a small series on writing effective FAQ pages:

* Understanding the different purposes of a FAQ (this post)
* [Selecting (technical) features for your FAQ](faq-features.html)
* [Writing content for your FAQ](faq-write.html)

----

I find FAQ pages an interesting way to provide information, because of the variety of ways that they can be used. To create an effective FAQ, it’s important to understand the potential use-cases, and which of these matter for your specific website, because these specify the features that you FAQ needs, and determine how you should write your FAQ’s content.

I distinguish between three main purposes, and to explain them, I consider three groups of users ...

## The user with a question

Some users will visit your FAQ to find specific information. These users visit your FAQ with a purpose, and the best way to serve them is by giving them the tools to find the information that they require.

These users are likely already invested in your product. In that sense, the FAQ supports the product* (it makes it better), and doing this part right can reduce the number  of users asking for support through other ways (like email).

## The casual user

Other visitors will use your FAQ in a more casual way. These may be potential customers who have taken interest in your product* and want to learn more. Such users are best served by a casual experience, providing information in a gentle way.

In this case there is someone who might be interested, and your goal is to convince them that your product is great. You want to make these people more enthusiastic and make sure that they understand the product, without causing confusion or frustration due to information overload.

## The potential visitor

Other potential users may not be on your website yet, but searching for something in a search engine. If this is something that your website might offer, you better make sure that your website is in the search results!

Doing this right can result in more organic traffic to your website without any advertising costs.


## How to go from here

Now that you understand the potential uses of a FAQ, it’s time to think about your FAQ’s [features](faq-features.html) and [content](faq-write.html).

<br />

`*` *by product I mean anything that you’re promoting on your website. This can also be a service, an idea, etc.*
