# How to write a good FAQ

<!-- DATE: 2020-09-22 -->

This post is part of a small series on writing effective FAQ pages:

* [Understanding the different purposes of a FAQ](faq-purposes.html)
* [Selecting (technical) features for your FAQ](faq-features.html)
* Writing content for your FAQ (this post)

----

In this post, I focus on the content of a FAQ; how to write the questions and answers so that the FAQ can fulfil its purposes effectively.


## The user with a question

To serve the users who search for information in your FAQ, you want to make sure that the FAQ is complete; it should cover at least the information that users need to know (to use your product), and probably some more. You also do not want to overdo it, and overload the reader with information that is probably irrelevant. Anyone can absorb a limited amount of information. Make sure that it matters: be concise.

If you find yourself writing an answer that is more than two paragraphs long, you may consider splitting the question up.

Also consider the terms that a visitor might use, and make sure to use those too, so that they come up in a search. If a term occurs multiple times in your text, consider using synonyms to cover their use too.

## The casual user

To serve casual visitors who just want to learn more, make sure that your FAQ is not overwhelming. Use questions that are clear (and brief). Consider using section headers to bring structure to your FAQ.

This probably sounds obvious, but make sure that the answers match the question. The casual user may expand the answer for a question that looks interesting. You don’t want to ruin it with content that is unexpected.

You can consider using images in the answers as well. If done right, they can complement
the text and make the reading more fun.


## The potential visitor

Your FAQ is part of your SEO (search engine optimization). Most general SEO tips can be applied directly to a FAQ. A few specific tips:

Try to match questions to queries that potential users might search for in a search engine. You can take it further and do some research on common questions that people search for. Or even better, find some niche questions that few people search for but that match your target audience very well.

Search engines consider headers (i.e. the questions in your FAQ) important, and may show the first line of the paragraphs below (i.e. the answers in your FAQ) in the search result.


## General tips

Using a spelling checker and having someone else proof-read your text will
help improve the quality of your writing.
